
ИСТОРИЯ ИЗМЕНЕНИЙ

ВНИМАНИЕ! 
При переходе на новую версию ПО TrackControl обязательно необходимо запустить программу DbPatch.exe, которая находится в в директории Patch в одной папке с обновленной версией TrackControl. Без запуска этого патча программа TrackControl может работать некоректно и выдавать ошибки. 

Для обеспечения работоспособности программы необходимо разрешить программе интернет-доступ к следующим сайтам:

http://maps.google.com
http://www.openstreetmap.org/
http://www.yournavigation.org/
http://nominatim.openstreetmap.org/
http://open.mapquestapi.com

_______________________________________________________________________

ВНИМАНИЕ !!! 
Начиная с версии 1.48.0.0, для корректной работы программы TrackControl необходим установленный Microsoft Framework 4.0. 
Чтобы проверить, какая версия MS Framework установлена на компьютере, воспользуйтесь утилитой ASoft.Net.exe, которая находится в папке Tools настоящего дистрибутива.
Там же находится web-инсталлятор dotNetFx_40_Full_setup.exe
_______________________________________________________________________

Версия 1.48.15.23
	- ОТЧЕТЫ: исправлены повторы в отчете Пробег+ДУТ
	- ОТЧЕТЫ: исправлена ошибка в отчете по заправкам, когда происходит клик мимо графика при построении заправки вручную
	- УВЕДОМЛЕНИЯ: исправлено дублирование уведомлений по логическим датчикам;

Версия 1.48.15.22
	- ОТЧЕТЫ: исправлена печатная форма отчета пробег+ДУТ;
	- ОТЧЕТЫ: исправлена единица ускорения с м/с^2 на км/ч/с 
	- ОБЩЕЕ: подправили настройку датчиков для протокола teletrack64

Версия 1.48.15.21
	- исправления для работы с БД MS SQL

Версия 1.48.15.20
	- исправления для работы с БД MS SQL
	
Версия 1.48.15.19
	- исправление замеченных ошибок ('Не удалось привести тип объекта', 'given key was not present in the dictonary' , ошибка в графиках среднего топлива и ошибка на границе разделения дат в Пробеге).

Версия 1.48.15.18
	- ОТЧЕТЫ: Исправление ошибки при работе со словарями в отчете Топливозаправщик

Версия 1.48.15.17
	- ОТЧЕТЫ: исправление ошибки "Index was outside the bounds of the array" в некоторых отчетах;

Версия 1.48.15.16
	- ОТЧЕТЫ: исправление ошибки в отчете Пробег на границе разделения дат.

Версия 1.48.15.15
	- АГРО: новое свойство сезона: ЗАКРЫТ

Версия 1.48.15.14
	- АГРО: добавлено поле ЗАКРЫТА в документе Тех.операция; 

Версия 1.48.15.13
	- ОТЧЕТЫ: убрали дублирование строк в отчете Уровень зерна;
	- ОТЧЕТЫ: заменили в отчете Безопасность единицы ускорения с м/с^2 на км/ч/с

Версия 1.48.15.12
	- КАРТЫ: В Сервис-Настройки- Администрирование появился параметр Версия спутниковых карт Google Map - в случае если в интерфейсе программы перестают отображаться спутниковые карты Google Hybrid и Google Satellite, уточните значение параметра в службе техподдержки;
	- АГРО: Расход топлива на гектар берется делением на уточненную площадь. Последнее время движения берется из записи суточного отчета,у которой дистанция >0;
	- ОБЩЕЕ: Решена проблема обновления дерева объектов слежения в режимах Отчеты/Слежение при перемещении трекера между группами в справочнике Транпорта; 
	- исправлен ряд замеченных ошибок;
	
Версия 1.48.15.11
	- ОТЧЕТЫ: исправлен вывод итогов в отчете по уровню зерна;
	- ОТЧЕТЫ: исправлена ошибка, связанная с обновлением таблицы отчета Общий расход ДУТ после расчета всех трекеров в дереве машин;
	- ОТЧЕТЫ: исправление ошибки клика на строке в отчете Общие расходы ДРТ.

Версия 1.48.15.10
	- КАРТЫ: добавлена кадастровая карта Украины (в списке WEB карт - CadMap Ukraine); 

Версия 1.48.15.9
	- КАРТЫ: восстановлена работоспособность карт Google Satellite Map, Google Hybrid Map;
	- AGRO: в справочник Группы операций добавлены поля Контроль скорости и Контроль глубины;
	- ОТЧЕТЫ: подправили отчет уровень зерна. Ошибка в GetGrainReportRows();

Версия 1.48.15.8
	- незначительные исправления;
	
Версия 1.48.15.7
	- АГРО: в отчет "Обработка полей 3" добавлена колонка "Обработанная площадь по контуру (уточнено), га";
	- АГРО: в отчете "Обработка полей 4" поправлены значения средней скорости;
	- ОТЧЕТЫ: исправлена ошибка при ручном редактировании отчета "Заправки";
	- ДНИ С ДАННЫМИ: добавлена возможность кроме бинарных данных от датчиков видеть и анализировать обработанные данные от каждого датчика по отдельности.

Версия 1.48.15.6
	- ОТЧЕТЫ: исправлена ошибка, связанная с итогами в отчетах Заправки при наличии нескольких датчиков ДУТ с разными алгоритмами;

Версия 1.48.15.5
	- АГРО: добавлен отчет Обработка полей 4;
	- ПАТЧ: поправлен патч для версии под MS SQL.

Версия 1.48.15.4
	- КАРТЫ: увеличена длина поля описания контрольной зоны.

Версия 1.48.15.3
	- исправление ошибки Строка не распознана как значение DateTime

Версия 1.48.15.2
	- ПАТЧ: добавлены скрипты для работы TDataManager 3.5 - улучшена производительность службы;

Версия 1.48.15.1
	- ОТЧЕТЫ: во всех отчетах по ДУТ введена возможность разделения анализ по алгоритмам (Уровень топлива основной, Уровень топлива в агрегате);
	- АГРО: Наряд - Содержание - Добавлено поле Совместная обработка. Рассчитывается одноименным отчетом.

Версия 1.48.15.0
	- АГРО: реализована возможность настройки датчиков в свойствах прицепного оборудования (тарировочная таблица, коэффициенты, знаковый признак);
	- НАСТРОЙКИ: реализован новый алгоритм работы ДРТ (расходомер) - Расход топлива дифференциальный. Для использования этого алгоритма необходимо, чтобы трекер (плата датчиков) были настроены соответствующим образом. В этом случае в каждом пакете данных от трекера передается кол-во импульсов ДРТ с момента прихода предыдущего пакета. В стандартном алгоритме в пакете передавалось кол-во импульсов накопительным итогом, что приводило к трудности интерпретации в отдельных случаях. Поэтому, новый (дифференциальный) алгоритм является более точным. 
	- ОТЧЕТЫ: отчет по топливозаправщику подключен к новому алгоритму Расход топлива дифференциальный. Для использования этого алгоритма, в свойствах датчиков должен быть указан алгоритм Топливозаправщик (дифференциальный).
	- исправления незначительных ошибок;
	
Версия 1.48.14.9
	- НАСТРОЙКИ: расширены настроечные параметры датчиков - добавлен сдвиг и возможность работы со знаковыми полями.
	- МАРШРУТЫ: сняты ограничения на маршруты, превышающие 24 часа;

Версия 1.48.14.8
	- ОТЧЕТЫ: добавлен отчет  
Версия 1.48.14.7
	- АГРО: восстановлено отображение графиков ДУТ в нарядах;
	- ОТЧЕТЫ: поправлен отчет о глубине обработки почвы (отчет о событиях датчиков, алгоритмы "Дальномер ультразвуковой" и "Угломерный датчик")

Версия 1.48.14.6
	- АГРО: добавлен множественный выбор в справочнике сезонов;
	- СПРАВОЧНИКИ: добавлен экспорт справочника водителей в XML (для последующего импорта в WEB систему);
	- АГРО: поправлено отображение сезона в тултипах полей. 

Версия 1.48.14.5
	- МАРШРУТЫ: добавлен импорт XML файлов маршрутных заданий (интеграция с ПО "Универсал") (формат XML определен заказчиком);
	- УВЕДОМЛЕНИЯ: расширен текст уведомлений, отправляемых на e-mail;
	- ОТЧЕТЫ: доработан отчет "Заправщик" - не всегда корректно заполнялось поле "Получатель"; 

Версия 1.48.14.3-4
	- УВЕДОМЛЕНИЯ: исправлена работа онлайн уведомлений для версии под MSSQL;  
	- ОТЧЕТ: добавлена новая печатная форма в отчете "Заправщик"
	- АГРО: восстановлена работа отчета по топливу в модуле АГРО

Версия 1.48.14.2
	- ИНФО: в информационный тултип о состоянии транспортного средства добавлена информация о логине и номере SIM карты трекера;
	- исправлены замеченные ошибки.

Версия 1.48.14.1
	- ОТЧЕТЫ: поправлен отчет Топливозаправщик
	- СПРАВОЧНИКИ: поправлено назначение алгоритмов датчиков через шаблоны плат датчиков.

Версия 1.48.14.0
	- ИНФО: во всплывающих тултипах вместо ускорения показывает телефон водителя. При наличии RFID водителя, показывается, кроме идентификатора, ФИО;
	- СПРАВОЧНИКИ: в шаблонах плат датчиков добавлена возможность назначения и сохранения алгоритмов обработки соответствующих данных;
	- ИНТЕРФЕЙС: в дереве выбора транспортных средств реализована возможность фильтрации по 4 полям категорий. При этом в самом дереве отображается только колонка Категория 1;
	- АГРО: доработан импорт тех. карт полей из Excel файла.   

Версия 1.48.13.0
	- ОТЧЕТЫ: добавлен отчет "Пробег общий + ДУТ";
	- ОТЧЕТЫ: добавлен отчет "Уровень зерна" для контроля заполнения бункера комбайна, оборудованного мембранными датчиками уровня зерна;
	- ОТЧЕТЫ: добавлен отчет "Идентификация транспорта" - аналог отчета "Водители (RFID)" для случая когда RFID карты привязаны к транспорту, а не к водителям;
	- АГРО: Справочник полей - уменьшен размер контрола "Поле устарело и в расчетах участия не принимает". В справочнике полей - добавлено поле Устарело; 
	- АГРО: добавлена возможность настройки отключения логических датчиков рабочего положения оборудования во время разворота в поле;
	- НАСТРОЙКИ: в разделе "Топливозаправщик" добавлен новый параметр - максимальное время между точками начала и окончания заправки в часах. Решена проблема - у клиента на ночь выключается машина и утром при включении сразу показывает заправку по ДРТ;
	- ОТЧЕТЫ: в отчетах по ДУТ усовершенствован алгоритм обработки провалов "в ноль" для показаний ДУТ. 	

Версия 1.48.12.11
	- технический релиз: исправление замеченных ошибок.

Версия 1.48.12.10
	- АГРО: добавлен импорт сезонов и тех. карт полей из Excel. В тултип контрольной зоны добавлена культура (берется из тех.карты поля);
	- исправления замеченных ошибок для версии под MS SQL.

Версия 1.48.12.9
	- ОТЧЕТЫ: добавлен алгоритм 5 для определения заправок и сливов в стационарных объектах (цистернах) с установленным ДУТ. Алгоритм анализирует все локальные изменения уровня, которые не могут трактоваться как рабочее потребление топлива (зависит от параметра Средний расход топлива, л/ч), и которые превышают заданные пороги заправки/слива;
	- АГРО: добавлен отчет по обработке поля (в журнале нарядов, панель инструментов над списком водителей, работавших в поле), включающий список работ, выполненных на поле за период, и скриншот поля с отображением треков; 
	- СПРАВОЧНИКИ: поправлено отображение идентификаторов;
	- ОТЧЕТЫ: уточнен алгоритм подсчета общего расходатоплива за период в отчетае "Суточный ДУТ".

Версия 1.48.12.8
	- АГРО: добавлен отчет "Водитель + Транспорт + Категории";
	- УВЕДОМЛЕНИЯ: расширена информация, высылаемая на e-mail. 

Версия 1.48.12.7
	- ОНЛАЙН: доработан механизм отображения данных в случае прихода в БД некорректных данных (данные из "будущего");
	- ОТЧЕТЫ: доработан отчет по Расходу

Версия 1.48.12.6
	- ОТЧЕТЫ: поправлен Отчет по пробегу (ранее некорректно обрабатывался переход через начало суток). 

Версия 1.48.12.5
	- ОТЧЕТЫ: восстановлено разделение стоянок/движения на границах смены дат в отчете Пробег
	- АГРО: Отчет Обработка полей 3 исправлена украинская локализация
	- ДОСТУП: Теперь нулевые (пустые) группы не отображаются в дереве транспорта
	- ОТЧЕТЫ: восстановлена работоспособность инструмента Анализ данных (панель Дни с данными) для трекеров, работающих по 64 битному протоколу;
	- КАРТА: восстановлена работоспособность инструмента "Проиграть трек" для трекеров, работающих по 64 битному протоколу;
	- ОТЧЕТЫ: модифицирован алгоритм отчетов по расходу топлива. Теперь более корректно обрабатываются ситуации, связанные с отключением питания платы датчиков.

Версия 1.48.12.4
	- АВТОРИЗАЦИЯ: исправлена проблема авторизации  на компьютере, не подключенном к домену.

Версия 1.48.12.3
	- ОТЧЕТЫ: "Отчет о событиях датчиков" - доработано определение времени стоянки и времени движения;
	- КАРТЫ: Тултипы с информацией по контрольным зонам теперь отображаются по правому клику;
	- DBPATCH: обновлен скрипт для TDM (MS SQL)

Версия 1.48.12.2
	- АГРО: добавлено управление нарезкой записей наряда с помощью внешних данных (таблица agro_event_manually)

Версия 1.48.12.1
	- КАРТА: доработан тултип инструмента измерения площадей на карте

Версия 1.48.12.0
	- АВТОРИЗАЦИЯ: Добавлена Windows авторизация для входа в программу. Для ее использования, надо зайти обычным способом с правами администратора в программу. 
	  Перейти в Настройки-Администрирование-Пользователи и прописать существующим пользователям (или создать нового) логин Windows (без указания домена) в поле WinLogin (в поле Пароль можно оставить старый пароль от стандартного входа). Теперь если в стартовой форме выбрать Windows авторизацию, то для входа надо будет указать домен, логин и пароль, который используется для входа в учетную запись Windows.
	
Версия 1.48.11.1
	- УВЕДОМЛЕНИЯ: при запуске уведомлений добавлен индикатор загрузки;
	- ОТЧЕТЫ, СЛЕЖЕНИЕ: поправлен механизм выбора объектов в дереве;
	- УВЕДОМЛЕНИЯ: всем типам уведомлений добавлен параметр "Период" - время в минутах, ограничивающее повторное появление уведомлений данного типа. Если период = 0, работает все как раньше;
	- АГРО - Наряд-Управление: отлажен поиск по идентификатору агрегата;
	- ОТЧЕТЫ: исправлено отображение имен водителей по RFID в расширенном отчете Заправки (печатная форма);
	- ОТЧЕТЫ: поправлен алгоритм подсчета общего пробега для транспортного средства в отчете Пробег;
	- ОТЧЕТЫ: исправлен адресный поиск для векторных карт;
	- ОТЧЕТЫ: добавлено заполнение поля Водитель по данным RFID в отчете "Пробег общий"

Версия 1.48.11.0
	- АГРО: добавлен новый отчет "Обработка полей 3";
	- КАРТА: улучшено отображение всплывающих информационных окон (тултипов), возникающих при наведении курсора на маркеры ТС и контрольные зоны;
	- УВЕДОМЛЕНИЯ - контроль стоянок - Сообщение теперь возникает один раз в течение стоянки до начала движения. После начала движения сообщение будет сгенерировано если опять возникла стоянка более заданного времени. 
	  Во всплывающее уведомление добавлено ФИО водителя + телефон (из RFID или свойств транспорта);

Версия 1.48.10.12
	- ОТЧЕТЫ:добавлен новый алгоритм "Расход топлива накопительный". Предназначен для обработки данных о накопительном (с начала эксплуатации) расходе топлива, поступающим с CAN шины. Результаты обработки отображаются в стандартных отчетах по ДРТ;
	- ОТЧЕТЫ: поправлено отображение заголовка отчета "Пробег" при экспорте в CSV;
	- АГРО: добавлен отчет "Водитель-Транспорт-Агрегат";
	- незначительные исправления в модуле AGRO;

Версия 1.48.10.11
	- незначительные исправления;

Версия 1.48.10.10
	- АГРО: убран вопрос при создании нарядов по таймеру;
	- НАСТРОЙКИ: исправление для кнопки Сохранить в настройке транспорта;
	- КАРТА: отключение/включение тултипов в зависимости от состояния инструментов карты

Версия 1.48.10.9
	- незначительные исправления;

Версия 1.48.10.8
	- ОТЧЕТЫ: оптимизировано построение отчета "Топливозаправщик"
	- АГРО: восстановлена функция построения нарядов по таймеру.

Версия 1.48.10.6-7
	- ОТЧЕТЫ: оптимизировано построение отчетов "Расход ДРТ", "Общий расход по ДРТ" и "Обороты"

Версия 1.48.10.5
	- АГРО: в настройках агрегата теперь можно указать какой именно из трех возможных датчиков (угломерный, дальномер, логический) использовать как датчик рабочего положения оборудования;
	- СПРАВОЧНИКИ: добавлена возможность экспорта в EXCEL справочника транспортных средств. 

Версия 1.48.10.4
	- АГРО: на карте наряда подключена прорисовка участков трека с рабочим состоянием агрегата, если эти состояния прописаны в свойствах агрегата;
	- НАСТРОЙКИ: доработана работа функционала Настройки-Администрирование-Анализ данных-Анализ пропущенных данных;
	- АГРО: незначительные доработки; 

Версия 1.48.10.3
	- АГРО: модифицирован алгоритм работы с датчиком рабочего положения. В тех случаях, когда дачик установлен на прицепном оборудовании, добавлен возможность в свойствах навесного оборудования указать состояния датчика, соответствующие рабочему положению;
	- АГРО: вывод графика угломерного датчика подключен к тарировочной таблице;
	- COM: библиотеки доработаны для работы с протоколом teletrack64;
	- исправлены замеченные ошибки.

Версия 1.48.10.2
	- АГРО: в журнале нарядов (подробный) добавлена колонка Группа полей;
	- АГРО: Отчет о совместной обработке - Детальная информация - Добавлена группировка по водителю;
	- ОТЧЕТЫ: в форме "Дни с данными" для трекеров, работающих по протоколу teletrack64, добавлены колонки Уровень сигнала GSM, Кол-во спутников, Напряжение питания;
	- МАРШРУТЫ: исправлена вкладка "Диаграмма Ганта";
	- исправлены замеченные ошибки.

Версия 1.48.10.1
	- незначительные исправления

Версия 1.48.10.0
	- АГРО: при обновлении наряда обновляется и топливо ДУТ;
	- КАРТЫ: изменен алгоритм отрисовки пройденного пути на карте в инструменте Линейка; 
	- ОТЧЕТЫ: добавили эконом режим в отчет "Общий расход ДУТ";
	- УВЕДОМЛЕНИЯ: к уведомлению «Контроль скорости работ агромодуля» подключено дополнительное условие: уведомление срабатывает только при активном датчике рабочего положения оборудования;
	- АГРО: в наряд теперь попадают точки не с начала первого движения, а с начала времени наряда;
	- ПАТЧ: добавлен скрипт для корректировки БД по поводу ошибок ДатаМенеджера (DGPS, LOGID, etc);
	- НАСТРОЙКИ: анализ данных подключен к протоколу teletrack64. К дозапросу подключена защита от больших перепадов LogId.

Версия 1.48.9.10
	- незначительные исправления
	
Версия 1.48.9.9
	- АГРО: В отчете "Обработка полей 1" добавлены колонки "Организация" (атрибут водителя) и "Группа полей";
	- СПРАВОЧНИКИ: в справочнике "Водители" добавлено поле "Организация". 

Версия 1.48.9.8
	- УВЕДОМЛЕНИЯ: добавлен новый тип уведомления - контроль скорости согласно параметров полевых работ модуля АГРО;
	- ОТЧЕТЫ, СЛЕЖЕНИЕ: во всплывающем при наведении на иконку ТС в тултипе добавлена строка "Топлива всего:", отображающая общее количество топлива в баке при наличии двух и более установленных ДУТ;
	- ОТЧЕТЫ, СЛЕЖЕНИЕ: во всплывающем при наведении на иконку ТС в тултипе добавлена строка "Навесное оборудование" для отображения названия навесного оборудования при наличии соответствующего RFID считывателя;
	- СЛЕЖЕНИЕ: в таблице "Информация" добавлена колонка "Телефон водителя"; 
	- ОТЧЕТЫ: в отчете "Общий расход ДУТ" добавили отображение ФИО водителя по RFID (при наличии установленного считывателя RFID карточек водителя);
	- СПРАВОЧНИКИ: в справочнике "Водители" добавлено поле "Телефон". Значение этого поля отображается во всплывающем при наведению на иконку ТС тултипе;
	- АГРО: добавлен отчет Транспорт+Агрегат+Вид работ (по заказу клиента)

Версия 1.48.9.7
	- АГРО: при анализе расхода топлива по данным ДУТ за основу берутся усредненные данные;
	- СЛЕЖЕНИЕ, ОТЧЕТЫ: корректировка вывода ФИО водителя по номеру RFID в тултипе;
	- КОНТРОЛЬНЫЕ ЗОНЫ: добавили кнопку Обновить в деревья контрольных зон;
	- ряд незначительных исправлений.
	
Версия 1.48.9.6
	- ОТЧЕТЫ: Доработана версия отчета Топливозаправщик для экспорта в 1С (под заказ клиента)
	- ОТЧЕТЫ: в отчете Топливозаправщик добавлена колонка Датчик. Теперь, если к трекеру подключено несколько расходомеров (например, несколько раздаточных колонок на заправке), то отчет будет строиться по всем ним. Если в название расходомера включить вид топлива (в случае АЗС), то в отчет можно будет строить в разрезе по видам топлива.
	- АГРО: незначительные исправления

Версия 1.48.9.5
	- DBPatch: доработаны процедуры базы данных для устранения ошибок TDataManager: "Duplicate key entry..." и "Out of range....SensorSet = 1"
	- КАРТЫ: исправлено отображение карты "Яндекс гибрид"; 
	- ИНСТРУМЕНТЫ: восстановлена работоспособность инструментов "Прокладка маршрутов" и "Адресный поиск";
	- АГРО: Устранены отличия в показаних по топливу между нарядом и главным отчетом;
	- Исправлена ошибка при удалении категории транспорта  CONSTRAINT `FK_vehicle_vehicle_category_Id` FOREIGN KEY (`Category_id`) REFERENCES `vehicle_category` (`Id`))!
	- Исправлено преобразование значений ускорения в для протокола teletrack64.

Версия 1.48.9.4
	-УВЕДОМЛЕНИЯ: уведомление о сливе топлива не отображало список техники - исправлено;
	- ОТЧЕТЫ: исправлен выход за границы массива в алгоритме отчета "Топливозаправщик"

Версия 1.48.9.3
	- добавлено логирование действий пользователя в Настройки-Параметры и в форме редактирования тарировочной таблицы
	- реализовано автоматическое обновление дерева транспортных средств;
	- исправлена ошибка свзанная с включением "экономного" режима в отчете по пробегу
	
Версия 1.48.9.2
	- доработан отчет "Пробег посуточный";
	- исправлена ошибка, связанная с неотображением в дереве пустых групп транспортных средств;
 
Версия 1.48.9.0 
	- добавлен перевод на украинский язык;
	- ряд мелких исправлений.

Версия 1.48.8.6 (технический релиз)
	- Исправление ошибок Object reference not set to an instance of an object и The type initializer for 'TrackControl.GMap.MapProviders.GMapProviders' threw an exception

Версия 1.48.8.5
	- КАРТЫ: восстановлена функция получения адресов от публичных сервисов (OpenMapQuest (OSM) и RCS Nominatim). Для включения функции получения адресного слоя OSM необходимо 
		в Настройки-Администрирование-Адресный слой OpenStreet Map прописать: 
		Сервер open.mapquestapi.com/nominatim/v1
		Ключ QkC9Ip4YS49P28ocINmGujVItxLo3EPg (клиент может заменить ключ на свой)
	- АГРО: добавлен новый алгоритм датчиков "Дальномер" - предназначен для обработки данных от ультразвукового датчика, измеряющего расстояние от места установки до поверхности.
		Может быть использован для определения глубины заглубления инструмента, а также для определения рабочего или транспортного состояния навесного оборудования. 

Версия 1.48.8.4
	- ОТЧЕТЫ: в отчет Параметры движения теперь не попадают ложные превышения скорости со значением более 200 км/ч.

Версия 1.48.8.3
	- ГРАФИКИ: исправлен график ускорения в отчетах для протокола Teletrack 64;
	- ОТЧЕТЫ: исправлен отчет Параметры движения для протокола Teletrack 64;
	- ЖУРНАЛ СОБЫТИЙ: реализовано отображение журнала событий для протокола Teletrack 64;
	- НАСТРОЙКИ: возвращена возможность добавления отрицательных значений в тарировочной таблице (колонка Пользовательские значения).

Версия 1.48.8.2
	- ОТЧЕТЫ: Отчет события датчиков - поправлено время движения и время стоянки события;
	- ОТЧЕТЫ: Отчет Топливо суточный ДУТ - не показывал график топлива для протокола Teletrack 64;
	- WEB-службы: обновлены библиотеки;
	- ПАРАМЕТРЫ: добавлено Минимальное время между двумя переключениями состояния датчиков.

Версия 1.48.8.1
	- исправлен ряд незначительных ошибок. 

Версия 1.48.8.0
	- УВЕДОМЛЕНИЯ: исправлены уведомления о пропадании сигнала GPS;
	- УВЕДОМЛЕНИЯ: исправлена работа с новыми устройствами, работающими по расширенному протоколу (64bit);
	- УВЕДОМЛЕНИЯ: доработано уведомление о выгрузке зерна;
	- ПАРАМЕТРЫ: исправлена ошибка невозможности сохранения параметров;
	- ОТЧЕТЫ: исправлено формирование итоговых данных в отчете по пробегу;
	- ОТЧЕТЫ: доработан отчет "Общий расход ДУТ" для новых устройств, работающих по расширенному протоколу (64bit);

Версия 1.48.7.1
	- КАРТЫ: в WEB карты добавлены YandexMap, YandexSatelliteMap, YandexHybridMap;
	- АГРО: поправлен отчет по выгрузке комбайнов;
	- исправлен ряд незначительных ошибок. 

Версия 1.48.7.0
	- УВЕДОМЛЕНИЯ: добавлено уведомление о выгрузке зерна. Уведомление позволяет получать сообщение о событиях начала и окончания выгрузки зерна (если подключен датчик выгрузки) и о значении RFID карточки, находящейся в этот момент в считывателе комбайна;
	- ОТЧЕТЫ:  параметр Минимальное время движения в начале смены перенесен из вкладки Администрирование на вкладку Параметры (раздел Параметры движения).
	- исправлены замеченные ошибки

Версия 1.48.6.0
	- ОТЧЕТЫ: откорректирован алгоритм #2 определения заправок и сливов для стационарных объектов. Теперь если время между последовательными заправками или сливами менее указанного в параметрах Минимальное время между с (раздел параметров Топливозаправщик), то такие заправки или сливы объединяются;
	- АГРО: в печатную форму наряда добавлены поля Общая обработанная площадь и Общий расход;
	- ОТЧЕТЫ: добавлен параметр Минимальное время движения в начале смены (вкладка Администрирование). Началом смены в отчете по пробегу считается время начала движения длительностью более указанного параметра.
	- СПРАВОЧНИКИ: в справочнике транспортных средств добавлена возможность редактировать номер SIM карты;
	- КАРТЫ: в конфигурационном файле программы TrackControl.exe.config добавлены параметры <add value="CentralLatitude" key="50,5694572" />  <add value="CentralLongitude" key="30,6907603" />   <add value="ZoomMap" key="10" /> , в которых можно поменять координаты и масштаб начального положения карты по умолчанию после запуска программы; 
	- исправлен ряд замеченых ошибок

Версия 1.48.5.0
	- АГРО: добавлен отчет "Контроль скорости", который позволяет получить информацию о соблюдении скоростного режима при выполнении полевых технологических операций за период.
	- исправления в настройках датчиков; 

Версия 1.48.4.7
	- ОТЧЕТЫ: доработан отчет КЗ Детальный (печатная форма) - исправлены замеченные ошибки.

Версия 1.48.4.6
	- ГРАФИКИ: исправлено отображение графиков ДУТ, если их более 2.

Версия 1.48.4.5
	- ОТЧЕТЫ: в отчет КЗ Детальный (печатная форма) добавлены параметры Общий пробег вне КЗ, Общий пробег внутри КЗ;
	- ОТЧЕТЫ: в отчет Общий расход ДУТ добавлена колонка Моточасы, которая представляет собой сумму колонок Время движения и Время стоянок с включенным двигателем;
	- РЕЖИМ СЛЕЖЕНИЕ: время обновления карты увеличено с 3 сек до 15 сек.
	- исправления замеченных ошибок.123

Версия 1.48.4.4
	- РЕДАКТОР КОНТРОЛЬНЫХ ЗОН: добавлен экспорт в формат CSV (WKT) для переноса КЗ в сторонние картографические программы;
	- МОДУЛЬ МАРШРУТЫ: добавлен функционал для контроля выполнения регулярных маршрутных перевозок.

Версия 1.48.4.3
	- технический релиз;
	ов
Версия 1.48.4.2
	- ОТЧЕТЫ: исправлено отображение адресов при использовании векторной карты;

Версия 1.48.4.1
	- исправлены замеченные ошибки в отчетах "Детальный по пробегу" и "КЗ групповой".

Версия 1.48.4.0
	- ОТЧЕТЫ: добавлен отчет КЗ Общий, который представляет собой модификацию отчета КЗ Детальный с добавлением колонки "Транспортное средство". Этот отчет относится к групповым отчетам и может строиться по нескольким транспортным средствам;
	- РЕДАКТОР КОНТРОЛЬНЫХ ЗОН: к свойстам контрольных зон добавлены два поля Категория и Категория 2. Там же можно создавать и редактировать справочники категорий;
	- СПРАВОЧНИКИ: в справочнике ТС добавлено поле Комментарий. Содержание этого поля отображается во всплывающем окне при наведении на машину в дереве транспортных средств;
	- ГРАФИКИ: откоретирована цветовая схема отображения графиков уровня топлива;
	- исправлен ряд замеченных ошибок.
	
Версия 1.48.3.8
	- НАСТРОЙКИ: Администрирование - добавлена настройка "Отображение графиков топлива". Влияет на отображение графиков уровня топлива при наличии 2 и более установленных ДУТ. При включенной настройке отображаются не только суммарный уровень топлива, но и графики отдельных ДУТ.

Версия 1.48.3.7
	- добавлены два новых алгоритма обработки данных от датчиков: "Расход топлива прямой" и "Расход топлива обратный". В отчетах данные датчика с алгоритмом "Расход топлива обратный" вычитаются из данных датчика с алгоритмом "Расход топлива прямой";
	- СЛЕЖЕНИЕ: цвет трека объекта теперь соответствует цвету, указанному в настройках в справочнике транспортных средств;
	- сделана автосортировка дерева транспортных средств по колонке "Название";
	- исправление проблемы с построением отчета по логическим датчикам;
	- исправление проблемы удаления логических датчиков из БД;
	- АГРО: оптимизировано время запуска нарядов, исправлены замеченные ошибки.

Версия 1.48.3.6
	- технический релиз

Версия 1.48.3.5
	- Добавлен новый алгоритм определения заправок/сливов. Активизируется путем присвоения значения 3 параметру Алгоритм 3; Предназначен для определения заправок и отпусков топлива мобильным топливозаправщиком в установленным в цистерне ДУТ;

Версия 1.48.3.4
	- Отчеты по ДУТ: устранено ограничение на использование не более 2 ДУТ в отчетах. Теперь в отчетах используются суммарные данные всех ДУТ, прописанных в настройках;
	- исправлен ряд мелких ошибок; 

Версия 1.48.3.3
	- УВЕДОМЛЕНИЯ: параметр "Время контроля относительно текущего времени" в настройках уведомлений теперь может быть дробным;
	- АГРО: внесены изменения в алгоритм работы отчета по комбайнам;
	- АГРО: поправлен отчет о совместной работе;
	- АГРО: исправлены незначительные ошибки;

Версия 1.48.3.2
	- исправлена работа с тарировочной таблицей для 16-разрядных ДУТ;

Версия 1.48.3.1
	- поправлена круговая диаграмма в отчете "Обороты";
	- исправлены ошибки при работе с инструментами вкладки "График";
	- исправления и дополнения в испанской локализации;

Версия 1.48.3.0
	- добавлена испанская локализация;
	- АГРО: доработан механизм настройки датчика рабочего положения оборудования. Теперь в настроках датчика надо создать состояние датчика, соответствующее его рабочему положению (их может быть несколько), а в настройках прицепного оборудования указать какое из имеющихся состоянимй датчика соответствует рабочему положению;

Версия 1.48.2.2
	- отчет КЗ Детальный: исправлен формат дата/время пересечения зоны;
	- отчет Заправки: исправлено отображение сливов/заправок на графике при добавлении их в ручном режиме;
	- АГРО: исправлена работа с графиком уровня топлива в наряде при ручном добавлении заправок/сливов;
	- исправлена проблема с позиционированием всплывающей подсказки на WEB картах;
	- AGRO: в нарядах к графику топлива подключен график угломерного датчика;

Версия 1.48.2.1
	- модуль АГРО: исправлены недочеты в работе вкладки Управление нарядами - устранена невозможность закрыть управляющими данными переезда полем;
	- модуль АГРО: угломерный датчик рабочего положения навесного оборудования подключен к нарядам на полевые работы;

Версия 1.48.2.0
	- модуль АГРО: добавлен отчет о совместной обработке полей;
	- добавлен новый алгоритм обрабортки данных датчиков: Угломерный датчик рабочего положения 
	- модернизирована вкладка Анализ данных в Настройки- Администрирование;
	- в тултипах контрольных зон (WEB-карты) площадь теперь показана в гектарах, а не в кв.м.;
	- добавлена кнопка прерывания выборки данных в основной форме и в форме Анализ данных (в нижней статусной панели, справа от прогресс-бара);
	- исправлено отображение даты/времени в отчете Заправки (при построении отчета по нескольким ТС не отображалось время);
	- исправлены замеченные ошибки, связанные с инструментами Измерение площади и Измерение расстояний в редакторе контрольных зон;
	- исправлены замеченные ошибки в отчете Заправки, связанные с редактированием заправок/сливов. 


Версия 1.48.1.16
	- исправлена проблема перехода на летнее время при построении отчетов и нарядов модуля AGRO;
	- в режиме Слежение в дереве транспортных средств добавлена колонка Категория;
	- модернизирована вкладка Анализ данных в Настройки-Администрирование;
	- исправлена проблема отображения логических датчиков в режиме Слежение;
	- оптимизировано потребление памяти при загрузке программы;

Версия 1.48.1.15
	- исправлена ошибка в модуле АГРО, вызванная сохранением наряда при неполных данных;
	- исправлена ошибка в модуле Маршруты - не сохранялись добавленные строки в ранее созданном маршрутном листе;

Версия 1.48.1.14
	- исправлена ошибка с отображением графиков уровня топлива в модуле АГРО;
	- исправлены замечания по работе с формой настроек датчиков;

Версия 1.48.1.12 - 1.48.1.13
	- в отчете "Пробег детальный" убрали фоновое построение отчета по оборотам;
	- решена проблема с отображением адресов в отчетах при подключенных векторных картах;
	- исправлена ошибка переполнения памяти при слежении за большим количеством объектов;
	- исправлена ошибка отображения меток отображения площади под треком;

Версия 1.48.1.11
	- исправлена ошибка сохранения зон с отредактированной геометрией;
	- исправлена ошибка отображения показаний датчиков в режиме Слежение;

Версия 1.48.1.10
	- исправлена ошибка отображения показаний датчиков (как в режиме Слежение, так и в Отчеты)
	- исправлена ошибка отображения времени поступления последних данных 

Версия 1.48.1.9
	- добавлена возможность импорта настроек плат датчиков из SCAD файлов;
	- исправлена ошибка отображения контрольных зон (MS SQL);
	- исправлена ошибка запуска уведомлений (MS SQL);
	
Версия 1.48.1.5 - 1.48.1.8
	- исправлены замеченные ошибки;

Версия 1.48.1.4
	- исправления верстки некоторых отчетов;

Версия 1.48.1.3
	- оптимизировано быстродействие программы, сокращено время запуска, исправлена ошибка создания "лишних" соединений с сервером;
	- исправлена ошибка, в результате которой, пользователи получали доступ к транспортным средствам, даже в случае когда доступ был закрыт в настройках программы.


Версия 1.48.1.2
	- доработан отчет "События датчиков" - добавлены колонки "Длительность состояния в движении", "Длительность состояния на стоянках"
	- улучшена производительность программы.

Версия 1.48.1.1
	- в стартовой форме приложения настройки подключения стали доступны только после ввода пароля суперадминистратора;
	- исправлено несколько замеченных ошибок;

Версия 1.48.1.0
	- в модуле АГРО добавлен функционал для работы с технологическими картами полей и справочник сельскохозяйственных сезонов;
	- полностью переработан блок настроек датчиков. Теперь настройки можно выбрать, указав шаблон настроек, который хранится в справочнике версий плат датчиков.

Версия 1.48.0.5
	- в раздел Настройки -Администрирование добавлен справочник "Платы датчиков". В дальнейшем он будет использоваться для быстрой настройки датчиков.
	- исправлена работа кнопки "Дозапросить данные" в Настройки - Администрирование - Анализ данных
	- устранены замеченные ошибки;

Версия 1.48.0.2
	- устранены незначительные ошибки;

Версия 1.48.0.1
	- откорректирована работа с деревом выбора транспортных средств;
	
Версия 1.48.0.0
	- программа переведена на Microsoft Framework 4.0. Проверить какая версия MS Framework установлена на компьютере можно с помощью утилиты ASoft.Net.exe, 
	которая находится в папке Tools дистрибутива программы. Там же находится web-инсталлятор dotNetFx_40_Full_setup.exe;
	- в журнал модуля АГРО добавлено поле Категория, с помощью которой можно осуществлять дополнительную фильтрацию транспортных средств. Категория может быть присвоена каждому транспортному средству в справочнике транспортных средств;
	- экспорт и импорт тарировочных таблиц теперь работает и на компьютерах, на которых не установлен MS Excel.
	- экспериментальная функция: добавлен новый вид уведомлений "Слив топлива". Уведомление предупреждает диспетчера о событии возможного слива топлива на контролируемых машинах (уменьшении уровня топлива в баке на стоянке более заданого порогового значения);
	- ряд доработок в модуле АГРО:
		-- добавлено логирование действий пользователя в журнале нарядов (создание, удаление)
		-- добавлены быстрые клавишы для пересчета нарядов:
				Ctrl+0 - Факт без учета управляющих данных
				Ctrl+1 - Факт с учетом управляющих данных
			Клавиши разнесены по клавиатуре, чтобы не было ошибочных нажатий;
		-- добавлена возможность перемещения по строкам наряда с помощью курсорных клавиш;
		-- исправлен ряд замечаний клиентов;
	- добавлено логирование действий пользователя в редакторе контрольных зон (создание, редактирование и удаление КЗ, редактирование группы КЗ);
	- в режиме Отчеты, меню Вид добавлена кнопка "Сохранить шаблон формы". Ранее пользовательский интерфейс не всегда восстанавливался после сворачивания/разворачивания окна программы;
	- в панель инструментов графиков добавлена кнопка "Сделать снимок графика". С помощью этого инструмента можно сделать скриншот текущего графика и сохранить его в файл;
	- в модуле Автопредприятие добавлена возможность убрать выделение транспортного средства на карте.



Версия 1.47.7.2
	- в модуле АГРО доработан режим оперативного планирования:
		-- при открытии планового задания показывается текущий остаток топлива;
		-- реализована программная защита от создания дубля планового задания;
		-- реализовано создание планового создание с помощью меню по правой кнопке мыши в списке техники, для которой отсутствуют плановые задания;
		-- добавлено логирование действий пользователя в режиме работы с плановыми заданиями;
		-- в плановое задание добавлено время начала работ;
	- в модуле Автопредприятие исправлен алгоритм определения общего времени стоянок без заказов;
	- исправлены замеченные недостатки в версии для MS SQL;

Версия 1.47.7.1
	- в режиме Слежение в нижней таблице добавлено текущее местоположение транспорта;

Версия 1.47.7.0
	-в модуле AGRO установлена иерархия определения прицепного оборудования:
		1. При наличии прописанного датчика идентификации, слушаем его;
		2. Если от него нет значащих данных, смотрим на связку ТС+агрегат в справочнике агрегатов;
		3. Если связка для данного ТС не указана, смотрим на агрегат по умолчанию в справочнике для всех ТС;
		4. Если он не указан, используем ширину по умолчанию в установках;
		5. Если в п.1. не прописан датчик идентификации, сразу переходим к пп. 2-4.
		При этом на вкладках Содержание и Управление ячейки колонки Агрегат окрашиваются в зависимости от источника данных
		Зеленый - метка прицепного оборудования
		Желтый - выставленное диспетчером значение на вкладке Управление, 
		Синий -  справочник прицепного оборудования, агрегат по умолчанию.
	- аналогичный функционал реализован для поля Водитель (источник данных или карточка идентификации или справочник);
	- в справочнике видов работ добавлено поле Код внешней базы;
	- в наряде (вкладка Карта наряда) добавлена возможность быстрой установки/снятия значков блокировки всех записей наряда.
	 


Версия 1.47.6.3
	- исправлена ошибка в отчете "Заправщик"

Версия 1.47.6.2
	- в мастере настройки уведомлений добавлена настройка управления доступом к критическим уведомлениям. Всплывающее (критическое) уведомление будет отправляться только выбранным при настройке пользователям;
	- поправлен алгоритм выбора машин в списке выбора ТС в разных режимах. По умолчанию, списки выбранных ТС в режимах Отчеты и Слежение независимы (отметки не меняются и не сбрасываются при переключении между режимами). При необходимости синхронизировать списки достаточно нажать кнопку "Синхронизировать списки" в тулбаре над панелью списков и все отмеченные в этом режиме ТС будут автоматически отмечены и в другом режиме;
	- исправлена проблема с "самопроизвольным" открытием заказ-нарядов после их закрытия диспетчером в модуле "Автопредприятие";
	- исправлен ряд мелких ошибок и замечаний.

Версия 1.47.6.0
	- добавлен новый тип уведомлений о контроле отпуска топлива/зерна. Уведомление срабатывает по событию начала отпуска топлива или зерна, поступающему от датчика, которому присвоен алгоритм "Топливозаправщик". При этом определяется техника - получатель топлива/зерна, находящаяся в заданном радиусе.
	- отчет "Заправщик" модифицирован для работы с двумя считывателями RFID идентификаторов. В отчете добавлена колонка "Оператор" для идентификации оператора, отпустившего топливо. Для получения этих данных к контроллеру Teletrack должен быть подключен второй считыватель RFID карточек, колторому в настройках датчиков должен быть присвоен алгоритм "Идентификация оператора". 
	Если же второму считывателю присвоить алгоритм "Идентификация транспортного средства", то в колонке "Заправленный транспорт" будет фиксироваться транспорт, которому в справочнике транспортных средств присвоен соответствующий идентификатор;
	- отчет "Заправщик" оптимизирован и строится быстрее;
	- исправлен ряд замеченных ошибок в версии для MS SQL.

Версия 1.47.5.5
	- незначительные доработки и исправления;

Версия 1.47.5.4
	- оптимизирована работа отчетов по пробегу с использованием фильтров интервалов по времени;
	- исправлено несколько незначительных ошибок;
	- в модуле АГРО, в справочнике прицепного оборудования добавлена информация о ТС, присоединенных к данному навесному оборудованию стационарно;
	- исправлен ряд ошибок в версии для MS SQL;

Версия 1.47.5.3
	- исправлены замеченные недостатки отчета "Обработка полей 2"
	- исправлена ошибка, возникавшая при редактировании уведомлений на планшетах с Windows 7;
	- исправлены замеченные ошибки в печатных формах отчетов;
	- исправлена ошибка в анализе данных;

Версия 1.47.5.2
	- в модуле "АГРО" добавлен отчет Обработка полей 2, который представляет собой расширение отчета Обработка полей 1;
	- исправлена ошибка, возникавшая при назначении настроек транспортному средству;
	- исправлена ошибка, возникавшая при редактировании шаблона в модуле "Маршруты";
	- исправлена ошибка подсчета средней и максимальной скоростей в отчетах по пробегу;
	- исправлены ошибки, замеченные при работе с БД MS SQL.
	  
Версия 1.47.5.1
	- исправлена ошибка назначения группы в справочнике "Транспортные средства";
	- исправлена ошибка в печатной форме отчета "ДРТ-КЗ";
	- незначительные изменения в модуле "Автопредприятие"

Версия 1.47.5.0
	- добавлен учет расхода топлива по нормам. Для этого в справочник транспортных средств и в справочник групп транспортных средств добавлены 2 поля: "Норма расхода в движении, л/100 км" 
	  и "Норма расхода на холостом ходу, л/ч". Если нормы прописанны в справочнике групп транспортных средств они автоматически применяются ко всем ТС данной группы. При этом имеется возможность назначить отдельным ТС этой группы индивидуальные нормы, отличные от тех, что прописаны для всей группы. 
	  Подсчет расхода топлива на холостом ходу (т.е. на стоянке с включенным двигаетелем) возможен только, когда подключен датчик оборотов или датчик зажигания. 
	  В отчеты "Пробег суточный", "Пробег общий" и "Общий отчет ДУТ" добавлены колонки, соответствующие расходу топлива по нормам. Эти колонки заполняются только, если соответствующие нормы прописаны в справочниках ТС или групп ТС;
	- в модуле АГРО добавлен функционал, связанный с оперативным планированием (вкладка Плановые задания);
	- оптимизирована работа модуля "Автопредприятие". В отчет по Заказчикам добавлена строка, связанная с учетом расходов по главному диспетчеру (т.е. не относящихся к конкретным заказчикам).


Версия 1.47.4.9
	-исправлены замеченные ошибки в модуле "Автопредприятие" (в т.ч. ложные предупреждения об отклонении от графика заказа);

Версия 1.47.4.8
	-исправление ошибок в версии для работы с MS SQL;
	 
Версия 1.47.4.7
	- исправление ошибок в модуле "Автопредприятие";
	- исправлены замеченные ошибки в модуле АГРО;
	- доработана версия для работы с MS SQL.

Версия 1.47.4.6
	- исправлена ошибка импорта тарировочной таблицы из Excel;

Версия 1.47.4.5
	- исправления для работы с MS SQL;

Версия 1.47.4.4
	- оптимизирован модуль "Автопредприятие";
	- исправлены замеченые ошибки, возникшие вследствие изменения типа данных DataGPS_Id. 

Версия 1.47.4.3
	- в журнале нарядов модуля АГРО добавлен режим "Подробно", который разворачивает содержание нарядов и может служить в качестве детального отчета о полевых работах.
	- оптимизирована работа модуля "Автопредприятие", исправлены замеченые ошибки;
	- исправлены замеченые ошибки, возникшие вследствие изменения типа данных DataGPS_Id.

Версия 1.47.4.2
	- добавлен фильтр единичных выбросов, возникавших в 00:00:00.000 по Гринвичу (точке присваивалась дата на 1 сутки назад);
	- исправлена ошибка в печатной форме отчета "Топливо суточный";
	- доработан COM объект для работы с количеством записей в Бд более 2^32;
	- исправлены ошибки в модуле "Автопредприятие";
	
Версия 1.47.4.1
	- добавлен фильтр "прострелов" в режиме "Слежение".

Версия 1.47.4.0
	- расширен диапазон возможных значений поля DataGPS_Id и связанных с ним полей в связи с достижением предела в БД с большим количеством записей.

Версия 1.47.3.0
	- добавлены группы работ в модуле АГРО;
	- доработан DbPatch для работы с базами MS SQL;
	- исправлены незначительные ошибки.

Версия 1.47.2.4
	- исправлена ошибка при анализе дней с данными;
	- исправлена ошибка при работе со справочником транспортных средств;
	- улучшена работа в многопользовательском режиме модуля "Автопредприятие".

Версия 1.47.2.3
	- исправлена ошибка, связанная с программной корректировкой прострелов, возникавшая при "залипании" встроенного акселерометра;
	- исправлена ошибка в блоке настроек параметров.

Версия 1.47.2.2
	- незначительные исправления.

Версия 1.47.2.1
	- в модуле "Автопредприятие" добавлен отчет по заказчикам;
	- исправлены замеченные ошибки.

Версия 1.47.2.0
	- добавлена поддержка датчиков Epsilon 2 (с инклинометром). В отчетах по топливу теперь отображаются графики углов наклона транспортного средства относительно продольной и поперечной оси автомобиля. Кроме того, на графике цветом выделены участки где наклон транспортного средства превышает заданные пользователем предельные значения. Сами предельные значения углов наклона задаются в разделе Настройки-Администрирование-Параметры.
	- откоректирована печатная форма отчета "Топливо ДУТ суточный";
	- реализована работа программы с СУБД MS SQL;
	- улучшена работа инструмента "Удаление некорректных дат" в разделе Настройки-Администрирование-Анализ данных;
	- в модуле "Автопредприятие" исправлены замеченные ошибки.

Версия 1.47.1.1
	- в модуле "Автопредприятие" убраны лишние подтверждения изменений значений полей в форме "Заказ-наряд"
	 
Версия 1.47.1.0
	- в модуле "Автопредприятие" добавлено отображение на карте статусов "Обед" и "Ремонт"

Версия 1.47.0.0
	- в модуле "Автопредприятие" реализована тарификация выполненных работ. Добавлены справочники тарифов с привязкой к категории транспорта и времени актуализации тарифов. Категория присваивается транспорту в основном справочнике транспортных средств.
	- в модуле "Автопредприятие" добавлен отчет по путевому листу (находится в форме "Путевой лист")
	- в модуле "Автопредприятие" добавлена возможность присвоения статусов "Ремонт" и "Обед" в форме путевого листа.

Версия 1.46.6.0
	- в модуле "Автопредприятие" добавлен отчет по заказчикам. Добавлено логирование действий со справочниками. 

Версия 1.46.5.0
	- в модуле "Автопредприятие" добавлен отчет по путевому листу (находится в форме путевого листа). Исправлены замеченные ошибки и недостатки в работе модуля.

Версия 1.46.4.0
	- в модуле "Автопредприятие" добавлен отчет по работе диспетчеров. Исправлены замеченные ошибки и недостатки в работе модуля.

Версия 1.46.3.1
	- исправлены замеченные ошибки в модуле "Автопредприятие" и отчете "КЗ Детальный".
	
Версия 1.46.3.0
	- доработан модуль "Автопредприятие": добавлено управление правами доступа. Появилась возможность управлять доступом пользователей к справочникам, путевым листам, заказам с учетом принадлжности пользователя данному предприятию. 

Версия 1.46.2.4
	- переделан блок настройки параметров отчетов (Настройки- Администрирование-Параметры);
	- исправлена ошибка в отчете Безопасность (не заполнялась колонка "Модель");
	- доработан модуль "Автопредприятие": в журнале событий добавлена индикация непрочитанных сообщений (они отображаются жирным шрифтом), при выделении записи в журнале событий или в дереве выбора машин происходит выделение стрелкой на карте соответствующей машины, исправлены замеченные ошибки.

Версия 1.46.2.3
	- доработан модуль "Автопредприятие": исправлены замеченные ошибки, повышена стабильность работы модуля.

Версия 1.46.2.2
	- доработан модуль "Автопредприятие": добавлены отчеты "Отклонения по пробегу" и "Отклонение по времени", исправлены замеченные ошибки, в заказе добавлена кнопка "Пересчитать", предназначенная для уточнения фактических данных.

Версия 1.46.2.1
	- в разделе Настройки - Администрирование добавлен параметр Получать адрес точки из интернета - Да/Нет. Значение Нет следует устанавливать только для рабочих мест, где отсутствует интернет доступ к сайтам, указанным в заголовке настоящего документа;
	- доработан модуль "Автопредприятие": добавлен отчет Журнал событий; на карте отображаютсе все объекты, для которых сегодня создан путевой лист; исправлен ряд мелких ошибок;

Версия 1.46.2.0
	- добавлен плеер треков в режиме Отчеты. Запуск плеера осуществляется на панели инструментов WEB-карт (иконка с видеокамерой).
	- доработан модуль "Автопредприятие": внедрен механизм "интеллектуального поиска" в полях выбора транспортных средств и объектов, добавлена возможность просмотра удаленных заказов, добавление и редактирование путевых листов вынесено в отдельную форму. Исправлены ряд мелких ошибок, повышена стабильность работы приложения.

Версия 1.46.1.2
	- доработан модуль "Автопредприятие": введены статусы заказов, в журналах добавлено поле Диспетчер, добавлена история работы с заказом и ряд других изменений.

Версия 1.46.1.1
	- доработано автоматическое создание записей наряда при наличии логического датчика. Теперь при создании записей наряда, относящихся к какому-то полю, создаются записи двух типов:
		1. Если агрегат в рабочем состоянии, то указывается поле и вид работ по умолчанию для данного агрегата;
		2. Если агрегат в нерабочем состоянии, то указывается поле (ранее в колонке поле писали Переезд) и вид работ = Переезд в поле
	Если же был зафиксирован агрегат в рабочем положении вне поля, то в колонке Поле пишем Неизвестное поле, а вколонке Вид работ = Переезд вне поля

Версия 1.46.1.0
	- в модуле AGRO добавлены типы работ. Всего имеется три типа: 
		1. Работа в поле (значение по умолчанию);
		2. Переезд вне поля;
		3. Переезд по полю.
	Тип работы присваиваевается в справочнике видов работ. Рекомендуется создать два новых вида работ и присвоить им типы 2 и 3.
	Теперь при создании наряда программа автоматически присваивает записям следующие виды работ
		1. Переезд вне поля - если запись относится к движению вне какого-либо поля
		2. Переезд по полю - если запись относится к движению внутри поля, но не имеет признака полезной работы ("галочка" снята)
		3. Работа, связанная с данным типом прицепного оборудования и имеющая признак полезной работы ("галочка" проставлена)
	- имена таблиц во всех запросах к БД переведени в нижний регистр. 


Версия 1.46.0.0 - alpha - предназначена для тестирования и предварительной демонстрации функционала модуля "Автопредприятие".
						  В текущей alpha версии функционал модуля реализован не в полной мере и будет дополняться и корректироваться с у четом результатов тестирования.
						  
	- добавлен новый модуль "Автопредприятие" (меню "Модули"). Модуль "Автопредприятие" предназначен для создания, обработки и управления заказами автопредприятия.
	Модуль позволяет формировать путевые листы, создавать заказы-наряды, отслеживать в режиме реального времени на карте местоположение транспорта и состояние выполнения заказов, получать уведомления на экран о выполнении заказов и об отклонении от графика, строить разнообразные отчетыю В программе предусмотрена также возможность печати пустых бланков путевых листов и талонов-заказов, соответствующих действующим нормам;
	- исправлены мелкие недочеты и ошибки, обнаруженные в предыдущей версии.
	

Версия 1.45.5.0
	- в начальную форму добавлены параметры строки подключения к БД (сервер, пользователь, пароль, база данных).
	Параметры строки подключения как и ранее хранятся в файле TrackControl.exe.config, но теперь в виде зашифрованной строки. Это сделано для того, чтобы пользователь не имел открытого доступа к параметрам строки подключения и соотетственно, возможности несанкционированного доступа к БД. 
	При изменении строки подключения и нажатии кнопки Сохранить, программа автоматически перезапускается;
	- в справочниках модуля АГРО добавлена возможность просмотра списка нарядов, связанных с данной записью справочника;
	- исправлена ошибка определения RFID карточки в отчете Топливозаправщик;
	- в форме Настройки-Администрирование добавлен параметр отключения автоматической загрузки дней, содержащих данные;
	- добавлена возможность задавать нулевое значение параметру "Радиус поиска ТС" в Настройки-Параметры. При нулевом радиусе поиска в отчете Топливозаправщик в колонке Получатель показываются только ТС, определенные с помощью RFID идентификации. При этом не производится поиск ТС, находящихся в заданном радиусе от топливозаправщика. Это значительно ускоряет работу отчета;     


Версия 1.45.4.0
	- добавлен инструмент "Адресный поиск" (меню Инструменты - Адресный поиск). Позволяет по введенному текстовому адресу (или его части)
	найти соответствующее место на карте и наобоорот - по двойному клику на карте определить соответствующий адрес;
	- в инструменте "Прокладка маршрута" источником адресов и маршрутов является сервис Google или OpenStreet в зависимости от положения переключателя;
	- в журнале "Уведомления" добавлена возможность просмотра уведомлений за произвольный заданный период (по сути, отчет по событиям);
	- добавлен частичный перевод приложения на тайский язык;
	- добавлен новый отчет "Топливо суточный ДУТ";
	- на WEB картах добавлены инструменты измерения расстояния и площади;
	- добавлено меню управления интерфейсом отчетов "Управление панелями" - позволяет включать/отключать область группировки, область итогов, навигатор по записям и статусную строку отчетов;
	- модернизированы отчеты "Общий расход ДУТ", "Расход", "Общий расход ДРТ", "Безопасность", "Параметры движения", "КЗ-Детальный", "КЗ-ДРТ";
	- в модуле АГРО ширина инструмента "по умолчанию" вынесена в раздел "Установки";
	  
Версия 1.45.3.1
	- оптимизирована работа программы в режиме "Отчеты";
	- исправлена ошибка отображения количества дней при экспорте отчетов в Excel;
	- исправлена ошибка подсчета обработанной площади в отчете "Обработка полей", модуль AGRO;
	- незначительные исправления; 

Версия 1.45.3.0
	- реализована отправка уведомлений о событиях на e-mail (настройка через мастер настроек уведомлений). Предварительно в разделе Настройки-Уведомления следует прописать настройки SMTP.
	- добавлен новый отчет "Пробег общий";
	- в модуле АГРО появилась возможность включать/отключать отображение на карте маркеров въезда/выезда в поле/из поля;
	- управление правами доступа теперь распространяется и на уведомления о событиях. Уведомления срабатывают только для разрешенных данному пользователю ТС и контрольных зон;
	- обновлена версия карт Google Map;
	- в справочнике водителей добавлено поле "Специализация". Поле используется для системы контроля доставки урожая с поля;
	- исправлены ошибки инструмента "Создать контрольную зону на основе трека";

Версия 1.45.2.2
	- модернизирован отчет "Пробег суточный";
	- исправлена ошибка, связанная с "дребезгом" датчиков, в отчете "RFID Водители";
	- исправлена ошибка подсчета пройденного пути, возникавшая на треках с "прострелами".
	
Версия 1.45.2.1
	- оптимизирован режим "Слежение" для пользователей с медленным каналом Интернет.

Версия 1.45.2.0
	- улучшен алгоритм построения нарядов в модуле АГРО;
	- оптимизирован механизм запуска уведомлений о событиях;
	- добавлено подтверждение при выходе из программы;
	- в журнале нарядов модуля АГРО добавлен поиск по номеру наряда;
	- сделана синхронизация отмеченных пользователем транспортных средств при переходе между режимами "Отчеты" и "Слежение";
	- исправлена проблема некорректного отображения трека в наряде модуля АГРО.

Версия 1.45.1.0
	- добавлен новый отчет "Обработка полей" в модуле АГРО;
	- добавлена возможность закачки WEB карт через прокси-сервера с авторизацией пользователей;
	- на вкладке "Анализ данных" добавлена кнопка "Удаление некорректных дат". При запуске этого инструмента из базы данных удаляются данные по отмеченным машинам с датой больше текущей (например 01.01.2017);
	- доработан алгоритм обработки данных, полученных от датчика топлива. Теперь, при выключении питания на графиках и в отчетах показания датчика фиксируются на уровне, предшевствовавшем выключению. Данный механизм работает, только если в тарировочной таблице присутствует строка 0(измеренное) - x(пользовательское), где x - любое число больше нуля и меньше единицы;
	- улучшен механизм отображения трека при наличии "прострелов".
	
Версия 1.45.0.0
	- инструмент "Анализ точек" теперь позволяет измерять дистанцию и среднюю скорость между любыми двумя точками трека. Теперь, последовательно указав две точки на треке, можно увидеть во всплывающем окне расстояние между этими точками, измеренное вдоль трека и по прямой, а также среднюю скорость движения вдоль трека и по прямой. Инструмент доработан для того, чтобы дать возможность анализировать работу техники, перемещающейся с очень малой скоростью, которую нельзя точно определить средствами GPS (поливалки, баржи и т.д.). 
	- журнал модуля AGRO подключен к WEB картам;
	- оптимизированы алгоритмы формирования и пересчета нарядов в модуле AGRO. Ранее возникали ошибки если наряд включал в себя посещение большого количества полей.
	- доработан механизм управления доступом пользователей. Теперь при отсутствии созданных и настроенных ролей в системе при первом запуске создается роль по умолчанию admin с правами полного доступа. После входа в систему эта роль может быть отредактирована и настроена в соотвествии с пожеланиями пользователя.

Версия 1.44.9.1
	- исправлено несколько незначительных ошибок;

Версия 1.44.9.0
	- в древовидных списках транспортных средств и контрольных зон добавлены счетчики количества объектов;
	- в отчет "События датчиков" добавлена колонка "Средняя скорость", которая вычисляется как отношение пробега к длительности, приведенных в данной строке отчета.
	  
Версия 1.44.8.1
	- устранен недостаток, связанный со сбросом отмеченных машин в режиме Слежение, возникавший при переходе в другой режим и возврате обратно;
	- реализована поддержка идентификации водителей с 12-битным идентификатором;
	- устранена ошибка, возникавшая при входе пользователя без прав администратора и с неназначенной ролью.
	
Версия 1.44.8.0
	- добавлен новый тип уведомлений: контроль времени нахождения в контрольной зоне;
	- добавлены 2 новых функции в COM-объект (библиотека с открытым интерфейсом для интеграции с 1С).

Версия 1.44.7.0
	- добавлен отчет "Транспорт+Агрегаты" в модуле AGRO;
	- в инструменте "Прокладка маршрута" добавлен подсчет и отображение на карте расстояния между опорными точками маршрута;
	- добавлены всплывающие информационные сообщения при нажатии на маркер транспортного средства в режиме "Слежение";
	- модифицирован инструмент "Анализ точек трека" в режиме "Отчеты". Теперь информация о точках отображается во всплывающих информационных окнах при клике курсором по данной точке трека. Вызвать инструмент "Анализ точек трека" можно теперь с помощью отдельной кнопки в основной панели инструментов режима "Отчеты"; 
	- исправлены неточности в отчете Обороты (режим круговой диаграммы);
	
Версия 1.44.6.0
	- реализовано управление правами доступа пользователей к различным объектам программы. Теперь для каждого пользователя можно указать список транспортных средств, список контрольных зон и набор отчетов, к которым у пользователя будет доступ. Настройка прав доступа осуществляется в разделе Настройки -> Администрирование -> Пользователи через механизм ролей. Каждому пользователю системы назначается роль. Для каждой роли настраивается список доступных объектов. Роли можно добавлять, удалять, редактировать. Настройка ролей и пользователей доступна только администраторам системы. Старый механизм настройки списка доступных отчетов отключен. 
	- доработан отчет Топливозаправщик. Устранена ошибка, из-за которой не всегда определялась RFID карточка получателя топлива.

Версия 1.44.5.1
	- исправлена ошибка, возникавшая при добавлении нового набора настроек параметров (Настройки -> Администрирование -> Параметры).

Версия 1.44.5.0 
	- добавлена возможность отображения специальным маркером на карте в режиме "Слежение" транспортных средств, время стоянки которых превышает заданное время. Предельное время разрешенной стоянки задается в разделе Настройки -> Администрирование -> Параметры -> Макс. время разрешенной стоянки (как и другие настройки, этот параметр может быть индивидуальным для разных ТС или групп ТС);
	- в модуле AGRO реализован алгоритм определения времени выполнения полевых работ (и связанных с ним показателей, таких как обработанная площадь, потребленное топливо и т.д.) по данным логического датчика, фиксирующего состояние прицепного оборудования (рабочее/не рабочее). Для настройки данного алгоритма необходимо
		1) в настройках (Настройки -> Администрирование ->Логические датчики) выбрать датчик и настроить его возможные состояния. При этом следует отметь галочкой пункт Спец.назначение и в выпадающем списке выбрать алгоритм "Прицепное оборудование - логический датчик". Следует также указать какое из значений 0 или 1 соответствует рабочему положению агрегата (т.е. является значимым).
		2) в справочнике навесного оборудования модуля AGRO для тех единиц оборудования, которые оснащены датчиком определения рабочего положения следует отметить в свойствах пункт "Присутствует логический датчик"
		3) в случае если навесное оборудование является неотъемлемой частью транспортного средства (например, жатка комбайна), необходимо в свойствах навесного оборудования в разделе "Использовать по умолчанию для транспортных средств" указать для каждого ТС датчик, по показаниям которого будет определятся рабочее положение агрегата. 
	  Следует учесть, что если в свойствах навесного оборудования отмечен пункт "Присутстствует логический датчик", то при формировании наряда обработанная площадь и другие показатели будут определятся на основании показаний этого датчика, даже в случае если он отсутствует или неработоспособен. Для того чтобы пересчитать наряд традиционным способом, необходимо снять этот пункт в свойствах навесного оборудования.

Версия 1.44.4.1
	- исправлены некоторые мелкие ошибки в работе модуля AGRO.    

Версия 1.44.4.0
	- добавлен визуальный редактор записи наряда AGRO (вкладка Карта наряда), предназначенный для расщепления существующих записей наряда на несколько частей и выделения в них участков переезда в границах поля. Для редактирования записи необходимо на вкладке Карта наряда выбрать запись, которую необходимо расщепить и нажать кнопку "Редактор записей" на боковой панели инструментов карты. После этого откроется всплывающая форма редактора записей, а на треке отобразятся точки, образующие трек. С помощью курсора мыши можно указать начало и конец участка трека, который следует выделить в отдельную запись наряда. После того как пользователь убедился в правильности выделения участка трека, необходимо нажать кнопку "Создать запись наряда". В результате первоначальная запись наряда расщепится на 3 записи, причем выделенному участку будет присвоен статус "Переезд";
	- исправлены некоторые мелкие ошибки в работе модуля AGRO.    

Версия 1.44.3.1
	- обновлена версия карт GoogleMap Satellite и GoogleMap Hybrid;
	- исправлена ошибка "[нет данных]" в отдельных полях наряда модуля AGRO.

Версия 1.44.3.0
	- добавлен инструмент прокладки маршрутов в режиме "Отчеты". Для прокладки маршрута необходимо Выбрать пункт меню Инструменты -> Прокладка маршрута - появится всплывающая форма построения маршрутов. В этой форме можно указать источник данных для построения маршрутов (Google Map или Open Street Map). Затем на карте двойным кликом указать начальную и последующие контрольные точки прокладываемого маршрута (количество точек не ограниченно, но при большом количестве точек время прокладки маршрута может заметно увеличиться). После указания всех контрольных точек маршрута нажать кнопку Создать.
	Для прокладки маршрутов вышеуказанным способом программа TrackControl должна иметь выход в Интернет. Функционал прокладки маршрутов будет наращиваться в последующих версиях программы.
	- исправлена ошибка экспорта в Excel отчета "Топливозаправщик" (ранее не заполнялось поле Получатель);
	- в нарядах модуля AGRO подключены WEB карты (вкладка Карта наряда) и изменен механизм отображения участков трека, соответствующих записям наряда (автомасштабирование карты при двойном клике по записи наряда, индикация участков специальными маркерами);
	
Версия 1.44.2.1
	- исправлена ошибка закрытия/открытия строк наряда в модуле AGRO.

Версия 1.44.2.0
	- в модуле AGRO в наряде добавлен график уровня топлива (вкладка Топливо ДУТ). Тут же добавлена возможность добавления, удаления и редактирования заправок/сливов диспетчером с указанием пользовательского комментария.
	- площадь контрольных зон указывается с максимальной точностью (3 знака после запятой);
	- в модуле AGRO к критериям расчета площади по контуру добавлен вид работ;
	- в COM библиотеку добавлены новые функции, связанные с получением данных от датчика уровня топлива. 

Версия 1.44.1.0
	- добавлено поле OutLinkId для связи с внешними базами в справочники: Группы транспортных средств, Транспортные средства, Группы контрольных зон, Контрольные зоны, Группы навесного оборудования, Навесное оборудование. По этому полю может осуществляться синхронизация справочников с внешними БД;
	- исправлена ошибка, возникавшая при запуске программы, если навание группы контрольных зон превышало 20 символов.

Версия 1.44.0.0
	- добавлен функционал авторизации пользователей. При старте программы появляется окно авторизации со списком зарегистрированных пользователей и полем ввода пароля. Добавление и редактирование пользователей осуществляется администратором системы в форме Настройки -> Администрирование -> Пользователи. Первый вход в систему под правами администратора осуществляется с помощью стандартного пароля (его можно сменить позже) без выбора пользователя из списка. Пользователи с правами admin имеют доступ к разделу настроек. Пользователи с правами user - не имеют такого доступа.
	- добавлено руководство пользователя программы TrackControl, которое находится в папке Help и может быть вызвано из меню Справка -> Руководство пользователя;
	- в модуле AGRO добавлены индикаторы полноты данных (в журнале и в наряде (в шапке и на вкладке Карта наряда)). Значения индикаторов: зеленый - в БД имеются от 90 до 100% точек за данный период; желтый - от 70 до 90%; красный - менее 70.
	- в модуле AGRO добавлены статусы нарядов: 1-новый, 2-есть новые данные, не проверенные диспетчером, 3-все записи проверены, но период наряда еще не завершен, 4- наряд проверен и закрыт;
	- в модуле AGRO добавлен журнал фиксации действий пользователя;
	- в модуле AGRO добавлен механизм защиты наряда от одновременного редактирования разными пользователями. первый пользователь, который открыл наряд, получает к нему полный доступ. Все остальные получают при открытии наряда сообщение о том, что наряд доступен только в режиме чтения и имя пользователя, который в настоящее время работает с нарядом в режиме редактирования.
	- в модуле AGRO доработан механизм работы с управляющими данными (вкладка наряда Управление);
	- длина поля Группа контрольных зон увеличена до 50 символов;
	- исправлен механизм работы со списками транспортных средств в различных вкладках раздела Настройки. Ранее работа с этими списками вызывала значительные задержки при большом количестве ТС.
	- исправлена индикация различных состояний ТС в режиме "Слежение". Возвращена привязка контроля максимально допустимой скорости ТС к сответствующей настройке в разделе Настройки -> Параметры.
	- исправлена ошибка связанная с отсутствием отображения графика скорости в некоторых отчетах.  
	 
Версия 1.43.1.0
	- добавлен экспорт/импорт контрольных зон в редакторе контрольных зон;
	- оптимизирован модуль "Маршруты" для работы с большим количеством контрольных зон;
	- в свойствах контрольных зон добавлен новый параметр: дата последнего изменения геометрии зоны;
	- в наряде модуля AGRO добавлено поле - дата последнего пересчета наряда;
	- в отчете "Водитель RFID" добавлено общее время стоянок;
	- исправлена проблема "прострелов" в район экватора в случае получения нулевых координат, но помемеченных признаком валидности (Valid=1);
	- исправлена ошибка создания контрольных зон большого размера;
	- в модуле AGRPO исправлена ошибка, возникавшая при подсчете площади поля большого размера;
	- в COM объект добавлены программные интерфейсы для работы с 1С;
	- исправлен выбор периода при переходе из модулей AGRO и Маршруты на карту основной программы;
	- исправлены некоторые ошибки, возникавшие в работе блока "Уведомления";
	
Версия 1.43.0.0
	- добавлен отчет "Водители (RFID)". Отчет предназначен для анализа работы транспортных средств, оснащенных системой идентификации водителей;
	- на панели инструментов графиков добавлено два новых инструмента: 1) "Автомасштабирование" (по умолчанию отключено). Если автомасштабирование отключено, график по вертикали строится от нуля до максимального значения, если автомасштабирование включено, то график масштабируется по вертикальной оси от минимального до максимального значений.
	2) "Измерение разницы между точками" - инструмент для определения разницы значений в двух точках графика. Предназначен, в частности, для быстрого определения расхода топлива в заданном интервале времени. При вызове этого инструмента появляется всплывающее окно, пользователь курсором указывает 2 точки на графике. Во всплывающем окне фиксируются значения этой величины в двух точках и разница между ними.  
	- изменилось расположение названия контрольной зоны на карте. Теперь название выводится по центру зоны (ранее - под зоной);
	- в модуле AGRO добавлен механизм вычисления общей обработанной площади данного поля без разбивки на записи наряда;
	- в модуле AGRO параметр "Min время работы в поле для создания записи наряда", минуты заменен на "Min время движения для создания записи наряда, минуты";



Версия 1.42.0.0
	- существенно переработан функционал уведомлений о событиях. Добавлены уведомления по пересечению границ контрольных зон, логическим и другим датчикам, контролю скорости, контролю длительности остановок, потери связи, потери сигнала GPS, переходу на резервное питание. Возможно настраивать комбинированные события (напрмер срабатывание датчика внутри заданной контрольной зоны или стоянка более заданного времени вне заданных контрольных зон и т.д.).
	Настройка уведомлений осуществляется с помощью мастера в разделе Уведомления в Настройках. Уведомлениям может присваиваться статус критических. Критические уведомления выделяются в журнале уведомлений специальным значком и сопровождаются звуковым сигналом и всплывающим окном. В журнале уведомлений отображается место и время события, его характеристики, а также имеется возможность просмотреть на отдельной карте место возникновения события. Имеется возможность настроить период анализа уведомлений, время хранения уведомлений в журнале истории и частоту опроса базы на предмет прихода новых уведомлений.
	Более полно функционал уведомлений будет описан в документации. Старый механизм уведомлений о событиях датчиков сохранен. Соответствующее меню переименовано в "События датчиков" (ранее "Уведомления");
	- в дерево выбора машин добавлена индикация прихода данных. Зеленый кружок - последние данные пришли менее 1 часа назад, желтый - менее 24 часов, красные - менее 100 дней, серый более 100 дней или вообще отсутствуют. При наведении курсора мыши на цветовой индикатор отображается дата и время прихода последних данных;
	- добавлен индикатор прихода последних данных в БД (в правом верхнем углу). Индикатор отображает дату и время поступления последних данных от устройств.
	- реализована подсветка участка графика, соответствующая строке отчета "События датчика";
	- в отчете "Пробег" добавлена колонка "Максимальная скорость";
	- настройки отображаемых отчетов перенесены в "Настройки", раздел "Администрирование";
	- исправлены ряд мелких замечаний в модулях "AGRO" и "Маршруты".


Версия 1.41.0.0
	- добавлен алгоритм определения заправок и сливов для стационарных объектов. Для включения этого алгоритма необходимо в настройках значение параметра "Заправки считать по MIN/MAX" установить равным 2;
	- в отчет "Заправщик" добавлена колонка "Водитель" и подключен алгоритм идентификации водителей заправляемых транспортных средств, если на топливозаправщике установлена система RFID идентификации получателей топлива;
	- добавлены кнопки сворачивания/разворачивания дерева транспортных средств и контрольных зон;
	- в интерфейсах векторных и WEB карт добавлено отображение текущих географических координат, соответствующих положению курсора на карте;
	- устранена проблема с неправильным формированием отчета "Топливо суточный ДУТ" в английской версии программы;
	- исправлена проблема определения времени работы с включенным двигателем, возникавшая если двигатель непрерывно работал более суток;
	- исправлена проблема формирования маршрутных листов в модуле "Маршруты", возникавшая если плановые точки посещения вводились не в порядке возрастания времени их посещения. 
	
Версия 1.40.9.6
	- исправлена ошибка, из-за которой ТС, находящееся в западном или южном полушарии, не отображалось на карте в режиме "Слежение";

Версия 1.40.9.5
	- исправлена ошибка, возникшавшая при экспорте в Excel отчета "Пробег" в случае если ТС не назначена никакая группа;
	- исправлена ошибка в управлении нарядами AGRO.

Версия 1.40.9.4
	- добавлено выделение цветом и иконкой участка трека на карте, соответствующего записи отчета "События датчиков";
	- исправлена ошибка, возникшавшая при загрузке тарировочной таблицы в английской версии программы;

Версия 1.40.9.3
	- добавлен инструмент "Создание зоны на основе трека" (меню "Инструменты" в режиме Отчеты - WEB карты). Инструмент позволяет создавать контрольные зоны на основе трека ТС. Для того чтобы создать контрольную зону на основе трека необходимо построить трек, выбрать инструмент "Создание зоны...", указать первую и последнюю точки трека и нажать кнопку "Создать зону". После этого произойдет переход в редактор контрольных зон, где новую зону можно отредактировать, присвоить ей название и группу. Инструмент полезен для создания карт полей на основе треков ТС, объезжающих поле по периметру;
	- исправлена ошибка, возникшавшая при открытии вкладки "Анализ данных" в настройках;

Версия 1.40.9.2
	- устранена ошибка в отчете Заправщик;
	- ROUTE - устранена ошибка в форме редактировании шаблонов;
	
Версия 1.40.9.1
	- AGRO - добавлена возможность привязывать агрегаты к транспорту по умолчанию;
	- Третий цвет в графике температуры заменен с Yellow на Indigo;
	- AGRO - наряды можно создавать начиная с произвольного времени суток а не 00:00.
	
Версия 1.40.9.0
	- доработан отчет "События датчиков". Добавлены 2 новых формы вывода на печать отчета - Сводный отчет и Детальный отчет. Формы обладают множеством настроек форматирования отчета перед отправкой на печать. Кроме того, возможен экспорт отчетов из этой формы в ряд популярных форматов: pdf, xls, xlsx, html, txtб jpeg и др.;
	- доработан отчет "Обороты двигателя". Полностью переработан режим сводного отчета по оборотам, включающий графическую диаграмму времени работы двигателя в различных диапазонах оборотов. Предоставлена возможность настраивать отображаемые диапазоны индивидуально для каждого транспортного средства. Для этого необходимо отредактировать таблицу "Шкала" в левой части отчета. Программа запоминает отредактированные диапазоны и в дальнейшем применяет их при построении отчета по данному ТС. Чтобы вернуть диапазоны, установленные по умолчанию, достаточно удалить все пользовательские диапазоны для данного ТС. Здесь же добавлены новые формы вывода на печать и экспорта отчета (см. пункт выше);
	- добавлена возможность индивидуальной настройки цвета трека для каждого транспортного средства. Настройка производится в справочнике транспортных средств. Информация о цвете трека, назначенном данному ТС, отображается в дереве выбора ТС в виде отрезка соответствующего цвета.
	- исправлена ошибка в модуле AGRO, возникавшая в случае если сельхозтехника ночевала в пределах поля. Ранее система не распознавала этот участок работы вплоть до первого выезда за пределы поля;
	- в отчете "Расход" в строку с итогами добавлены параметры "Время пробега без учета коротких остановок" и "Время стоянок с учетом коротких остановок". Эти величины показывают точное время пробегов и стоянок без учета настройки "Время минимальной стоянки". Во всех отчетах, в частности в отчете "Пробег" короткие остановки, чья длительность менее указанной в настройках не показываются, а прибавляются к предшествующему интервалу движения. В отчете "Расход" для более точного вычисления расхода топлива на 100 км короткие остановки прибавляются к стоянкам, а не к движению.
	- доработан COM компонент для интеграции с внешними системами.  


Версия 1.40.8.1
	- переработан отчет "События датчиков". Добавлена колонка "Пробег", добавлена колонка с индикатором контрольной зоны, добавлена возможность группировки и фильтрации по любой колонке, добавлен экспорт в Excel отчета в том виде, в котором он отображается на экране. Есть возможность получать суммарную длительность и суммарный пробег для разных состояний датчиков с учетом группировок и фильтров.
	- изменено отображение контрольных зон на Web картах. Вместо штрихованой заливки теперь используется сплошная полупрозрачная;
	- исправлена проблема сброса дат интервала анализа в режиме "Отчеты", возникавшая при переходе в Настройки и выходе обратно;
	- добавлен фильтр по обработанным полям в журнале нарядов модуля "Агро".

Версия 1.40.7.0
	- в "Параметры" добавлена настройка "Заправки считать по Min/Max". Если значение отлично от 0, то для определения объема заправки вычисляется максимальное изменение топлива в течение стоянки. Рекомендуется для спецтехники, которая большую часть времени работает без перемещения. Для остальных видов техники рекомендуется значение 0 (в этом случае данный алгоритм не используется).
	- добавлен новый инструмент анализа полноты и валидности данных. На панели инструментов окна "Дни с данными" появилась кнопка "Анализ данных", которая запускает процедуру анализа по всем выбранным в списке транспортных средств объектам. После окончания анализа все даты в окне "Дни с данными" получают цветовой индикатор: зеленый - данные полны и валидны, желтый - невалидных данных и пропусков менее 5% и красный - более 5%. Двойной клик по дате открывает форму детального анализа данных за выбранный день. Доступ к этой форме можно получить и без запуска полного анализа, через меню, вызываемое по правой кнопке на выбранной дате в окне "Дни с данными", пункт "Данные подробно".
	- добавлена возможность остановки запроса дней с данными. Для остановки анализа необходимо нажать красную кнопку слева от индикатора выполнения запроса ("прогресс-бара"). Для возобновления запроса необходимо нажать кнопку "Обновить" на панели инструментов окна "Дни с данными".
	- незначительные доработки и исправления в модуле "Маршруты". 

Версия 1.40.6.0
	- в "Параметры" добавлена настройка "Считать заправки в движении". Используется в отчете "Топливозаправщик". Если 1 - то считать заправки, определяемые алгоритмом в движении, если 0 - не считать. Рекомендуемое значение - 0;
	- устранен эффект "мерцания" WEB карт в режиме "Слежение";
	- исправлены некоторые ошибки в отчетах "ДУТ суточный" и "Общий расход ДУТ";
	- изменены цвета графиков уровня топлива для двухбаковых машин (теперь они различны для 1-го и 2-го баков);
	- добавлена возможность не учитывать сливы при подсчете общего расхода топлива за период. В настройках появился параметр "Не учитывать сливы в расходе". Если его значение 1 - общий расход топлива за период уменьшается на величину суммарного объема сливов. Если 0 (значение по умолчанию) - сливы учитываются в расходе;
	- добавлена фильтрация ложных сливов для спецтехники, если подключены обороты. Используется настройка оборотов и нормы расхода топлива в час. На остановках, где подозревается слив, вычисляется интервал времени работы двигателя с оборотами больше порога указанного в настройке "Обороты двигателя" и оценивается могло ли транспортное средство израсходовать топливо в объеме подозреваемого слива. Если могло, то слив не регестрируется. Для использования фильтрации необходи перед построением отчетов по топливу построить отчет "Обороты". Данный алгоритм не работает при отсутсвии тахометра или если в параметре "Обороты двигателя" выставленно значение оборотов больше максимальных для данного ТС;
	- оптимизирован набор колонок в таблице Настройки-Параметры. Добавлены тултипы, разъясняющие значение отдельных параметров (чтобы увидеть тултипы, необходимо подвести курсор к заголовку колонки);
	- в модуле "Маршруты" добавлен режим планирования без использования шаблонов. Режим удобен для планирования единичных (не повторяющихся) рейсов.  


Версия 1.40.5.0
	- сделана цветовая индикация состояния логического датчика в режиме "Слежение" (доработка для таксистов - Если такси 	свободно, иконка на карте обведена зеленой рамкой, если занято - красной). Для настройки индикации необходимо в настройках логических датчиков указать спец. назначение "Слежение-логический датчик". Также добавлена колонка "Статус" в гриде "Информация" с отображением состояния логического датчика: синяя машинка - свободно, красная - занято, отсутствует иконка - статус неопределен;
	- в меню "Сервис" добавлен выбор языка интерфейса программы (русский/английский);

Версия 1.40.4.0
	- пользователь может назначать свой цвет каждой контрольной зоне (работает только на WEB картах);
	- исправлена ошибка в печатной форме отчета "Пробег суточный";
	- максимальный масштаб отображения карты УкрГИС увеличен в 5 раз;
	- исправлена ошибка отображения показаний датчика оборотов в режиме "Слежение";

Версия 1.40.3.0
	- доработано представление списка машин в форме "Анализ данных";
	- исправлен метод подсчета общего расхода топлива за период в отчете "Топливо суточный ДУТ";
	- добавлена возможность локализации программы на английский язык (при запуске программы в английской версии Windows интерфейс программы автоматически становится английским);
	- обновлена версия карт Google Map, отображаемых в режиме использования Web карт;
	- исправлена ошибка определения состояния в режиме "Слежение".

Версия 1.40.2.1
	- исправлена ошибка кнопки удаления логического датчика в форме настройки логических датчиков;

Версия 1.40.2.0
	- доработан модуль "AGRO";
	- в режиме "Слежение" в окне "Датчики" отображается ФИО водителя в поле "Идентификация водителя".

Версия 1.40.1.1
	- исправлена ошибка в отчете "Суточный ДУТ" (возникала при активности ТС в момент смены суток)

Версия 1.40.1.0
	- исправлена ошибка в отчете "Топливозаправщик". Заправщик неправильно считал заправки при дробном коэффициенте;
	- добавлен экспорт в XML в отчете "Общий расход топлива (ДУТ)".
	- незначительные доработки модулей "Маршрут" и "AGRO".

Версия 1.40.0.7
	- исправлена ошибка при переходе из режима "Слежение" в режим "Настройки";

Версия 1.40.0.6
	- исправлена ошибка при переходе из отчета "Пробег" в режим "Слежение";

Версия 1.40.0.5
	- исправлена ошибка экспорта отчетов в Excel (не работала кнопка вывода некоторых отчетов в Excel);
	- исправлена ошибка в режиме "Слежение" (не работало автомасштабирование на картах УкрГИС).

Версия 1.40.0.1
	- исправлены небольшие ошибки в отчете "Безопасность" (не заполнялось поле "Водитель").

Версия 1.40.0.0
	- в редакторе контрольных зон доработан импорт MIF файлов.

Версия 1.39.0.2
	- исправлена ошибка в режиме настроек (Некорректная работа кнопки "Вернуться").
	

Версия 1.39.0.1
	- исправлена ошибка редактора контрольных зон (возникала при создании новых контрольных зон без сохранения).

Версия 1.39.0.0
	- добавлен поиск по гаражному номеру в дереве транспортных средств;
	- добавлен поиск по названию контрольной зоны в дереве контрольных зон;
	- редактор контрольных зон перенесен в раздел Настройки;
	- доработан интерфейс настроек справочников транспортных средств, водителей и контрольных зон;
	- улучшен алгоритм построения отчета по топливозаправщику;
	- исправлена ошибка подсчета общего пробега в отчете "Пробег суточный";
	- в индивидуальных Excel отчетах унифицированы названия листов Excel (гаражный номер);
		

Версия 1.38.0.0

	- исправлены настройки по-умолчанию (на основании данных тех.поддержки);
	- реализованы настройки по умолчанию, при добавлении новой настройки;
	- в дереве контрольных зон добавилась колонка "Логин" (телетрека);
	- значительно ускорено построение отчета по параметрам движения;
	- реализована визуализация Остановок/Движения на графике отчета "Расход";
	- исправлена печать графиков;
	- добавлена возможность изменять ширину колонок в отчетах;
	- исправлена ошибка определения времени работы двигателя, при получении оборотов с CAN;
	- переработаны справочники "Транспорт" и "Водители" - теперь они работают только в режиме просмотра. 
	  Редактирование справочников перенесено в раздел "Настройки";
	- исправлена ошибка подсчета пассажиров на остановке переходящей в следующие сутки;
	- в отчет "Пробег" добавлена колонка "Пробег с начала периода";
	- поправлены шаблоны отчетов в Excel. Отредактированы названия некоторых колонок в ряде отчетов.
	

Версия 1.37.0.2
	- исправлена ошибка в отчете Топливозаправщик (ошибка возникала при возникновении расхода топлива во время движения).

Версия 1.37.0.1
	- исправлено NullReferenceException в отчете "Общий расход ДУТ", возникающее если не выделена курсором ни одна машина.
	- исправлена ошибка, возникавшая в некоторых ситуациях при загрузке данных.
	- исправлен шаблон печати в отчете по пробегу (неверно отображалась средняя скорость)



Версия 1.37.0.0
	-- добавлен инструмент анализа точек трека в режиме отчеты (меню Инструменты - Анализ точек трека (в правом верхнем углу)). Инструмент доступен только на картах Web;
	-- исправлен алгоритм анализа пропущенных данных (меню Настройки - Анализ данных);
	-- добавлено отображение на карте и графике заправок топливозаправщика в отчете "Заправщик";
	-- исправлен алгоритм адресного поиска для карт Сумы.gdb и Житомир.gdb;
	-- исправлен механизм автоматического открытия карты УкрГИС при старте программы;
	-- исправлен алгоритм подсчета пробега для случаев, когда период анализа начинается с остановки ТС;
	-- возвращена совместимость с предыдущими версиями программы TrackControl (кроме версии 1.36.0.3);
	-- добавлен инструмент "Увеличение масштаба" на панель инструментов карты УкрГИС.


Версия 1.36.0.3
	-- добавлен отчет "Заправщик";
	-- исправлен алгоритм фильтрации ложных сливов/заправок по параметру "Средний расход топлива, л/ч";
	-- добавлена фильтрация "выбросов" данных (проявлялось в наличии единичных выбросов точек трека на сотни километров в сторону от реального местоположения);
	-- исправлена ошибка в анализаторе данных (Настройки - Анализ данных). Ранее анализатор "не замечал" пропуски данных в некоторых случаях;
	-- изменен дизайн основной формы в режиме "Отчеты". Включение/отключение окон "Дни с данными", "Датчики", "Журнал событий" вынесены в отдельное меню "Вид" в правом верхнем углу экрана;
	-- оптимизированы алгоритмы работы с данными;


__________________________________________________________________________________________________
Информация о работе с отчетом "Заправщик"

	Отчет "Заправщик" предназначен для анализа заправок, производимых мобильным топливозаправщиком или стационарной заправочной станцией, на заправочных кранах которых установлен проточный датчик расхода топлива (ДРТ) типа VZO-25 или VZO-40.
	
	Для корректной работы отчета в параметрах ДРТ должен быть установлен алгоритм "Топливозаправщик".
	
	В параметрах телетрека (Настройки-Параметры), к которому подключен ДРТ, добавлены три настроечных параметра:
	-- Радиус поиска ТС, м (по умолчанию 10м)
	-- Минимальное время между заправками, с (по умолчанию 00:02:00)
	-- Минимальная величина заправки в отчете, л (по умолчанию 1л)
	
	Алгоритм отчета основан на анализе расхода топлива, проходящего через ДРТ, определении места, времени и объема заправок и поиске ТС, находившихся в это время в заданном радиусе от топливозаправщика (по умолчанию 10 м). 
	Если в результате анализа обнаружено ТС, удовлетворяющее приведенным условиям, то в колонке "Заправленный транспорт" указывается название обнаруженного ТС и,при наличии на нем установленного датчика уровня топлива, в колонке "Заправлено в бак ТС по ДУТ, л" указывается	объем заправки (данные берутся из отчета "Заправки").
	
	Если в результате анализа не обнаружено ТС, удовлетворяющее приведенным условиям, то в колонке "Заправленный транспорт" пишется "Не найден!"
	
	Из сервисных функций отчета в текущей версии реализован экспорт в Excel и отображение на графике динамики расхода топлива.

	Порядок работы с отчетом "Заправщик"
	1. Выбрать период построения отчета
	2. Выбрать все ТС, которые могли заправлятся данным топливозаправщиком, включая сам топливозаправщик
	3. Выбрать данные по данным ТС за данный период
	4. Построить отчет "Заправки"
	5. Построить отчет "Заправщик"
	Следует помнить, что отчет "Заправщик" доступен для просмотра только если в дереве выбора ТС курсором выделен топливозаправщик.
	